{...}: {
  imports = [./lazygit.nix];

  programs.git = {
    enable = true;
    extraConfig = {
      fetch.parallel = 0;
      init.defaultBranch = "main";
      pull.rebase = true;
    };
    delta = {
      enable = true;
      options = {
        decorations = {
          commit-decoration-style = "bold yellow box ul";
          file-decoration-style = "none";
          file-style = "bold yellow ul";
        };
        features = "decorations";
        whitespace-error-style = "22 reverse";
      };
    };
    userEmail = "max.kaenner@gmail.com";
    userName = "Max Känner";
  };
}
